function $AdfLovInternalEvent$$($source$$143$$, $action$$) {
  this.Init($source$$143$$, $action$$);
}
$goog$exportSymbol$$("AdfLovInternalEvent", $AdfLovInternalEvent$$);
$AdfLovInternalEvent$$.$ACTION_CLICK$ = "click";
$goog$exportSymbol$$("AdfLovInternalEvent.ACTION_CLICK", $AdfLovInternalEvent$$.$ACTION_CLICK$);
$AdfLovInternalEvent$$.$ACTION_TAB$ = "tab";
$goog$exportSymbol$$("AdfLovInternalEvent.ACTION_TAB", $AdfLovInternalEvent$$.$ACTION_TAB$);
$AdfObject$$.$createSubclass$($AdfLovInternalEvent$$, $AdfComponentEvent$$);
$AdfLovInternalEvent$$.$EVENT_TYPE$ = "lovInternal";
$goog$exportSymbol$$("AdfLovInternalEvent.EVENT_TYPE", $AdfLovInternalEvent$$.$EVENT_TYPE$);
$AdfLovInternalEvent$$.prototype.Init = function $$AdfLovInternalEvent$$$$Init$($source$$144$$, $action$$1$$) {
  $AdfLovInternalEvent$$.$superclass$.Init.call(this, $source$$144$$, $AdfLovInternalEvent$$.$EVENT_TYPE$);
  this.$setRoot$($source$$144$$);
  this.$_action$ = $action$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLovInternalEvent.prototype.Init", {Init:$AdfLovInternalEvent$$.prototype.Init});
$AdfLovInternalEvent$$.prototype.$getAction$ = function $$AdfLovInternalEvent$$$$$getAction$$() {
  return this.$_action$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLovInternalEvent.prototype.getAction", {$getAction$:$AdfLovInternalEvent$$.prototype.$getAction$});
$AdfLovInternalEvent$$.prototype.$AddMarshalledProperties$ = function $$AdfLovInternalEvent$$$$$AddMarshalledProperties$$($properties$$39$$) {
  $properties$$39$$.action = this.$_action$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLovInternalEvent.prototype.AddMarshalledProperties", {$AddMarshalledProperties$:$AdfLovInternalEvent$$.prototype.$AddMarshalledProperties$});
$AdfLovInternalEvent$$.prototype.$propagatesToServer$ = function $$AdfLovInternalEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLovInternalEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfLovInternalEvent$$.prototype.$propagatesToServer$});
$AdfLovInternalEvent$$.prototype.$isImmediate$ = function $$AdfLovInternalEvent$$$$$isImmediate$$() {
  return this.getSource().getImmediate();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfLovInternalEvent.prototype.isImmediate", {$isImmediate$:$AdfLovInternalEvent$$.prototype.$isImmediate$});
$AdfLovInternalEvent$$.$queue$ = function $$AdfLovInternalEvent$$$$queue$$($component$$287$$, $action$$2_lovInternalEvent$$, $partial$$8$$) {
  $action$$2_lovInternalEvent$$ = new $AdfLovInternalEvent$$($component$$287$$, $action$$2_lovInternalEvent$$);
  $partial$$8$$ && $action$$2_lovInternalEvent$$.$setPartial$(!0);
  $component$$287$$.$queueEvent$($action$$2_lovInternalEvent$$);
};
$goog$exportSymbol$$("AdfLovInternalEvent.queue", $AdfLovInternalEvent$$.$queue$);
